## Class TPageConfiguration

Description

TPageConfiguration class

TPageConfiguration represents the configuration for a page. The page is specified by a dot-connected path. Configurations along this path are merged together to be provided for the page.

- since: 3.0
- version: $Id: TPageService.php 2226 2007-09-16 19:32:58Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/Services/TPageService.php (line 504)

    TComponent
       |
       --TPageConfiguration

Method Summary
TPageConfiguration __construct (string $pagePath)
array getApplicationConfigurations ()
array getExternalConfigurations ()
array getProperties ()
TAuthorizationRuleCollection getRules ()
void loadApplicationConfigurationFromXml (TXmlElement $dom, string $configPath)
void loadFromFile (string $fname, string $configPagePath)
void loadFromFiles (string $basePath)
void loadFromXml (TXmlElement $dom, string $configPath, string $configPagePath)
void loadPageConfigurationFromXml (TXmlElement $dom, string $configPath, string $configPagePath)
Methods
Constructor __construct (line 531)

Constructor.

- access: public

TPageConfiguration __construct (string $pagePath)

- string $pagePath: the currently request page in the format of Path.To.PageName

getApplicationConfigurations (line 569)

- return: list of application configurations specified along page path
- access: public

array getApplicationConfigurations ()
getExternalConfigurations (line 539)

- return: list of external configuration files. Each element is like $filePath=>$condition
- access: public

array getExternalConfigurations ()
getProperties (line 550)

Returns list of page initial property values.

Each array element represents a single property with the key being the property name and the value the initial property value.

- return: list of page initial property values
- access: public

array getProperties ()
getRules (line 561)

Returns list of authorization rules.

The authorization rules are aggregated (bottom-up) from configuration files along the path to the specified page.

- return: collection of authorization rules
- access: public

TAuthorizationRuleCollection getRules ()
loadApplicationConfigurationFromXml (line 633)

Loads the configuration specific for application part

- access: public

void loadApplicationConfigurationFromXml (TXmlElement $dom, string $configPath)

- TXmlElement $dom: config xml element
- string $configPath: base path corresponding to this xml element

loadFromFile (line 602)

Loads a specific config file.

- access: public

void loadFromFile (string $fname, string $configPagePath)

- string $fname: config file name
- string $configPagePath: the page path that the config file is associated with. The page path doesn't include the page name.

loadFromFiles (line 578)

Loads configuration for a page specified in a path format.

- access: public

void loadFromFiles (string $basePath)

- string $basePath: root path for pages

loadFromXml (line 622)

Loads a page configuration.

The configuration includes information for both application and page service.

- access: public

void loadFromXml (TXmlElement $dom, string $configPath, string $configPagePath)

- TXmlElement $dom: config xml element
- string $configPath: the directory containing this configuration
- string $configPagePath: the page path that the config XML is associated with. The page path doesn't include the page name.

loadPageConfigurationFromXml (line 646)

Loads the configuration specific for page service.

- access: public

void loadPageConfigurationFromXml (TXmlElement $dom, string $configPath, string $configPagePath)

- TXmlElement $dom: config xml element
- string $configPath: base path corresponding to this xml element
- string $configPagePath: the page path that the config XML is associated with. The page path doesn't include the page name.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:49 -0400 by phpDocumentor 1.3.0RC4